# Generated by Django 4.0.1 on 2022-02-04 17:04

from django.db import migrations


def add_new_vehicles(apps, schema_migration):
    Vehicle = apps.get_model("vehicles", "Vehicle")
    vehicles = []
    for number in range(23, 29):
        vehicles.append(Vehicle(make="Ford", model="Focus", plate_number=f"AP23{number}HT"))
    Vehicle.objects.bulk_create(vehicles)


def delete_vehicles(apps, schema_migration):
    Vehicle = apps.get_model("vehicles", "Vehicle")
    Vehicle.objects.all().delete()


class Migration(migrations.Migration):

    dependencies = [
        ('vehicles', '0006_vehicle_allowed_drivers_vehicle_year_of_production'),
    ]

    operations = [
        migrations.RunPython(add_new_vehicles, delete_vehicles)
    ]
